'use strict';
//var os = require('os');

function homedir() {
	var env = process.env;
	var home = env.HOME;
	var user = env.LOGNAME || env.USER || env.LNAME || env.USERNAME;

	if (process.platform === 'win32') {
		return env.USERPROFILE || env.HOMEDRIVE + env.HOMEPATH || home || null;
	}

	if (process.platform === 'darwin') {
		return home || (user ? '/Users/' + user : null);
	}

	if (process.platform === 'linux') {
		return home || (user ? (process.getuid() === 0 ? '/root' : '/home/' + user) : null);
	}

	return home || null;
}

// don't want to delegate to the native method until we know how it's going to be implemented
// module.exports = typeof os.homedir === 'function' ? os.homedir : homedir;
module.exports = homedir;

// TODO: What should happen when the homedir can't be found? Align to whatever `os.homedir` ends up doing.
